diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/wifi/model/he-capabilities.h ns-3.31/src/wifi/model/he-capabilities.h
--- ns-3.30.1/src/wifi/model/he-capabilities.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/wifi/model/he-capabilities.h	2020-06-27 17:38:30.000000000 -0700
@@ -34,38 +34,25 @@
 {
 public:
   HeCapabilities ();
-  /**
-   * Set HE supported
-   * \param hesupported the HE supported indicator
-   */
-  void SetHeSupported (uint8_t hesupported);
-  /**
-   * Get the wifi information element ID
-   * \returns the wifi information element ID
-   */
+
+  // Implementations of pure virtual methods of WifiInformationElement
   WifiInformationElementId ElementId () const;
-  /**
-   * Get the wifi information element ID extension
-   * \returns the wifi information element ID extension
-   */
   WifiInformationElementId ElementIdExt () const;
-  /**
-   * Get information field size
-   * \returns the information field size
-   */
   uint8_t GetInformationFieldSize () const;
-  /**
-   * Serialize information field
-   * \param start the information field iterator
-   */
   void SerializeInformationField (Buffer::Iterator start) const;
+  uint8_t DeserializeInformationField (Buffer::Iterator start, uint8_t length);
+  /* This information element is a bit special in that it is only
+     included if the STA is an HE STA. To support this we
+     override the Serialize and GetSerializedSize methods of
+     WifiInformationElement. */
+  Buffer::Iterator Serialize (Buffer::Iterator start) const;
+  uint16_t GetSerializedSize () const;
+
   /**
-   * Deserialize information field
-   * \param start the information field iterator
-   * \param length the length
-   * \returns the information field size
+   * Set HE supported
+   * \param heSupported the HE supported indicator
    */
-  uint8_t DeserializeInformationField (Buffer::Iterator start, uint8_t length);
+  void SetHeSupported (uint8_t heSupported);
 
   /**
    * Set the HE MAC Capabilities Info field in the HE Capabilities information element.
@@ -161,9 +148,9 @@
   /**
    * Set the maximum AMPDU length.
    *
-   * \param maxampdulength 2^(20 + x) - 1, x in the range 0 to 3
+   * \param maxAmpduLength 2^(20 + x) - 1, x in the range 0 to 3
    */
-  void SetMaxAmpduLength (uint32_t maxampdulength);
+  void SetMaxAmpduLength (uint32_t maxAmpduLength);
 
   // MCS and NSS field information
   /**
@@ -201,102 +188,87 @@
    */
   uint32_t GetMaxAmpduLength (void) const;
 
-  /*
-   * This information element is a bit special in that it is only
-   * included if the STA is an HE STA. To support this we
-   * override the Serialize and GetSerializedSize methods of
-   * WifiInformationElement.
-   */
-
-  /**
-   * Serialize function.
-   *
-   * \param start the information element iterator
-   * \returns true if MCS transmit supported
-   */
-  Buffer::Iterator Serialize (Buffer::Iterator start) const;
-  /**
-   * Set serialize size function.
-   *
-   * \returns the serialized size
-   */
-  uint16_t GetSerializedSize () const;
-
 
 private:
   //MAC Capabilities Info fields
-  uint8_t m_plusHtcHeSupport; //!< HTC HE support
-  uint8_t m_twtRequesterSupport; //!< TWT requester support
-  uint8_t m_twtResponderSupport; //!< TWT responder support
-  uint8_t m_fragmentationSupport; //!< fragmentation support
-  uint8_t m_maximumNumberOfFragmentedMsdus; //!< maximum number of fragmentation MSDUs
-  uint8_t m_minimumFragmentSize; //!< minimum fragment size
-  uint8_t m_triggerFrameMacPaddingDuration; //!< trigger frame MAC padding duration
-  uint8_t m_multiTidAggregationSupport; //!< multi TID aggregation support
-  uint8_t m_heLinkAdaptation; //!< HE link adaptation
-  uint8_t m_allAckSupport; //!< ack support
-  uint8_t m_ulMuResponseSchedulingSupport; //!< UL MU response scheduling support
-  uint8_t m_aBsrSupport; //!< BSR support
-  uint8_t m_broadcastTwtSupport; //!< broadcast TXT support
-  uint8_t m_32bitBaBitmapSupport; //!< 32bit BA bitmap support
-  uint8_t m_muCascadeSupport; //!< MU cascade support
-  uint8_t m_ackEnabledMultiTidAggregationSupport; //!< ack enabled multi TID aggregation support
-  uint8_t m_groupAddressedMultiStaBlockAckInDlMuSupport; //!< group addressed multi STA block ack in DL support
-  uint8_t m_omiAcontrolSupport; //!< OMI A control support
-  uint8_t m_ofdmaRaSupport; //!< OFDM RA support
-  uint8_t m_maxAmpduLengthExponent; //!< maximum AMPDU length exponenet
-  uint8_t m_amsduFragmentationSupport; //!< AMSDU fragmentation support
-  uint8_t m_flexibleTwtScheduleSupport; //!< flexible TWT schedule support
-  uint8_t m_rxControlFrameToMultiBss; //!< receive control frame to multi bias
-  uint8_t m_bsrpAmpduAggregation; //!< BSRP AMPDU aggregation
-  uint8_t m_qtpSupport; //!< QTP support
-  uint8_t m_aBqrSupport; //!< ABQR support
+  uint8_t m_plusHtcHeSupport;                            //!< HTC HE support
+  uint8_t m_twtRequesterSupport;                         //!< TWT requester support
+  uint8_t m_twtResponderSupport;                         //!< TWT responder support
+  uint8_t m_fragmentationSupport;                        //!< fragmentation support
+  uint8_t m_maximumNumberOfFragmentedMsdus;              //!< maximum number of fragmentation MSDUs
+  uint8_t m_minimumFragmentSize;                         //!< minimum fragment size
+  uint8_t m_triggerFrameMacPaddingDuration;              //!< trigger frame MAC padding duration
+  uint8_t m_multiTidAggregationSupport;                  //!< multi-TID aggregation support
+  uint8_t m_heLinkAdaptation;                            //!< HE link adaptation
+  uint8_t m_allAckSupport;                               //!< all Ack support
+  uint8_t m_ulMuResponseSchedulingSupport;               //!< UL MU response scheduling support
+  uint8_t m_aBsrSupport;                                 //!< BSR support
+  uint8_t m_broadcastTwtSupport;                         //!< broadcast TXT support
+  uint8_t m_32bitBaBitmapSupport;                        //!< 32-bit BA bitmap support
+  uint8_t m_muCascadeSupport;                            //!< MU cascade support
+  uint8_t m_ackEnabledMultiTidAggregationSupport;        //!< ack enabled multi-TID aggregation support
+  uint8_t m_groupAddressedMultiStaBlockAckInDlMuSupport; //!< group addressed multi-STA BlockAck in DL support
+  uint8_t m_omControlSupport;                            //!< operation mode control support
+  uint8_t m_ofdmaRaSupport;                              //!< OFDMA RA support
+  uint8_t m_maxAmpduLengthExponent;                      //!< maximum A-MPDU length exponent
+  uint8_t m_amsduFragmentationSupport;                   //!< A-MSDU fragmentation support
+  uint8_t m_flexibleTwtScheduleSupport;                  //!< flexible TWT schedule support
+  uint8_t m_rxControlFrameToMultiBss;                    //!< receive control frame to multi-BSS
+  uint8_t m_bsrpAmpduAggregation;                        //!< BSRP A-MPDU aggregation
+  uint8_t m_qtpSupport;                                  //!< QTP support
+  uint8_t m_aBqrSupport;                                 //!< ABQR support
 
   //PHY Capabilities Info fields
-  uint8_t m_dualBandSupport; //!< dual band support
-  uint8_t m_channelWidthSet; //!< channel width set
-  uint8_t m_preamblePuncturingRx; //!< preamble puncturing receive
-  uint8_t m_deviceClass; //!< device class
-  uint8_t m_ldpcCodingInPayload; //!< LDPC coding in payload
-  uint8_t m_heLtfAndGiForHePpdus; //!< HE LTF and GI for HE PDUs
-  uint8_t m_heLtfAndGiForNdp; //!< HE LTF and GI for NDP
-  uint8_t m_stbcTxAndRx; //!< STBC transmit and receive
-  uint8_t m_doppler; //!< doppler
-  uint8_t m_ulMu; //!< UL MU
-  uint8_t m_dcmEncodingTx; //!< DCM encoding transmit
-  uint8_t m_dcmEncodingRx; //!< DCM encoding receive
-  uint8_t m_ulHeMuPpduPayloadSupport; //!< UL HE MU PDPU payload support
-  uint8_t m_suBeamformer; //!< SU beam former
-  uint8_t m_suBeamformee; //!< SU beam formee
-  uint8_t m_muBeamformer; //!< MU beam former
+  uint8_t m_dualBandSupport;                         //!< dual band support
+  uint8_t m_channelWidthSet;                         //!< channel width set
+  uint8_t m_preamblePuncturingRx;                    //!< preamble puncturing receive
+  uint8_t m_deviceClass;                             //!< device class
+  uint8_t m_ldpcCodingInPayload;                     //!< LDPC coding in payload
+  uint8_t m_heLtfAndGiForHePpdus;                    //!< HE-LTF and GI for HE-PPDUs
+  uint8_t m_heLtfAndGiForNdp;                        //!< HE-LTF and GI for NDP
+  uint8_t m_stbcTxAndRx;                             //!< STBC transmit and receive
+  uint8_t m_doppler;                                 //!< Doppler
+  uint8_t m_ulMu;                                    //!< UL MU
+  uint8_t m_dcmEncodingTx;                           //!< DCM encoding transmit
+  uint8_t m_dcmEncodingRx;                           //!< DCM encoding receive
+  uint8_t m_ulHeMuPpduPayloadSupport;                //!< UL HE-MU-PDPU payload support
+  uint8_t m_suBeamformer;                            //!< SU beamformer
+  uint8_t m_suBeamformee;                            //!< SU beamformee
+  uint8_t m_muBeamformer;                            //!< MU beamformer
   uint8_t m_beamformeeStsForSmallerOrEqualThan80Mhz; //!< beam formee STS for < 80 MHz
-  uint8_t m_nstsTotalForSmallerOrEqualThan80Mhz; //!< STS total for < 80 MHz
-  uint8_t m_beamformeeStsForLargerThan80Mhz; //!< beam formee STS for > 80MHz
-  uint8_t m_nstsTotalForLargerThan80Mhz; //!< STS total for > 80 MHz
-  uint8_t m_numberOfSoundingDimensionsForSmallerOrEqualThan80Mhz; //!< # of sounding diemnsions for < 80 MHz
-  uint8_t m_numberOfSoundingDimensionsForLargerThan80Mhz; //!< # of sounding dimensions for > 80 MHz
-  uint8_t m_ngEqual16ForSuFeedbackSupport; //!< equal 16 for SU feedback
-  uint8_t m_ngEqual16ForMuFeedbackSupport; //!< equal 16 for MU feedback
-  uint8_t m_codebookSize42ForSuSupport; //!< codebook size 42 for SU
-  uint8_t m_codebookSize75ForSuSupport; //!< codebook size 75 for SU
-  uint8_t m_beamformingFeedbackWithTriggerFrame; //!< beam forming feedback with trigger frame
-  uint8_t m_heErSuPpduPayload; //!< HE ER SU PPDU payload
-  uint8_t m_dlMuMimoOnPartialBandwidth; //!< DL MU MIMO on partial bandwidth
-  uint8_t m_ppeThresholdPresent; //!< PPE threshold present
-  uint8_t m_srpBasedSrSupport; //!< SRP based SR support
-  uint8_t m_powerBoostFactorAlphaSupport; //!< power boost factor alpha support
-  uint8_t m_4TimesHeLtfAnd800NsGiSupportForHePpdus; //!< 4 times HE LFT and 800 HS GI support for HE PPDUs
+  uint8_t m_nstsTotalForSmallerOrEqualThan80Mhz;     //!< STS total for < 80 MHz
+  uint8_t m_beamformeeStsForLargerThan80Mhz;         //!< beamformee STS for > 80MHz
+  uint8_t m_nstsTotalForLargerThan80Mhz;             //!< STS total for > 80 MHz
+  uint8_t m_numberOfSoundingDimensionsForSmallerOrEqualThan80Mhz; //!< # of sounding dimensions for < 80 MHz
+  uint8_t m_numberOfSoundingDimensionsForLargerThan80Mhz;         //!< # of sounding dimensions for > 80 MHz
+  uint8_t m_ngEqual16ForSuFeedbackSupport;          //!< equal 16 for SU feedback
+  uint8_t m_ngEqual16ForMuFeedbackSupport;          //!< equal 16 for MU feedback
+  uint8_t m_codebookSize42ForSuSupport;             //!< codebook size 42 for SU
+  uint8_t m_codebookSize75ForSuSupport;             //!< codebook size 75 for SU
+  uint8_t m_beamformingFeedbackWithTriggerFrame;    //!< beamforming feedback with trigger frame
+  uint8_t m_heErSuPpduPayload;                      //!< HE-ER-SU-PPDU payload
+  uint8_t m_dlMuMimoOnPartialBandwidth;             //!< DL MU-MIMO on partial bandwidth
+  uint8_t m_ppeThresholdPresent;                    //!< PPE threshold present
+  uint8_t m_srpBasedSrSupport;                      //!< SRP based SR support
+  uint8_t m_powerBoostFactorAlphaSupport;           //!< power boost factor alpha support
+  uint8_t m_4TimesHeLtfAnd800NsGiSupportForHePpdus; //!< 4 times HE-LFT and 800ns GI support for HE-PPDUs
 
   //MCS and NSS field information
   uint8_t m_highestNssSupportedM1; //!< highest NSS support M1
-  uint8_t m_highestMcsSupported; //!< highest MCS support
-  std::vector<uint8_t> m_txBwMap; //!< transmit BW map
-  std::vector<uint8_t> m_rxBwMap; //!< receive BW map
+  uint8_t m_highestMcsSupported;   //!< highest MCS support
+  std::vector<uint8_t> m_txBwMap;  //!< transmit BW map
+  std::vector<uint8_t> m_rxBwMap;  //!< receive BW map
 
   /// This is used to decide if this element should be added to the frame or not
   uint8_t m_heSupported;
 };
 
+/**
+ * output stream output operator
+ * \param os the output stream
+ * \param HeCapabilities the HE capabilities
+ * \returns the output stream
+ */
 std::ostream &operator << (std::ostream &os, const HeCapabilities &HeCapabilities);
 
 } //namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/wifi/model/he-configuration.h ns-3.31/src/wifi/model/he-configuration.h
--- ns-3.30.1/src/wifi/model/he-configuration.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/wifi/model/he-configuration.h	2020-06-27 17:38:30.000000000 -0700
@@ -37,6 +37,11 @@
 {
 public:
   HeConfiguration ();
+
+  /**
+   * \brief Get the type ID.
+   * \return the object TypeId
+   */
   static TypeId GetTypeId (void);
 
   /**
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/wifi/model/he-operation.cc ns-3.31/src/wifi/model/he-operation.cc
--- ns-3.30.1/src/wifi/model/he-operation.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/wifi/model/he-operation.cc	2020-06-27 17:38:30.000000000 -0700
@@ -50,9 +50,9 @@
 }
 
 void
-HeOperation::SetHeSupported (uint8_t hesupported)
+HeOperation::SetHeSupported (uint8_t heSupported)
 {
-  m_heSupported = hesupported;
+  m_heSupported = heSupported;
 }
 
 uint8_t
@@ -176,14 +176,6 @@
   return length;
 }
 
-/**
- * output stream output operator
- *
- * \param os output stream
- * \param HeOperation the HE operation
- *
- * \returns output stream
- */
 std::ostream &
 operator << (std::ostream &os, const HeOperation &HeOperation)
 {
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/wifi/model/he-operation.h ns-3.31/src/wifi/model/he-operation.h
--- ns-3.30.1/src/wifi/model/he-operation.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/wifi/model/he-operation.h	2020-06-27 17:38:30.000000000 -0700
@@ -31,19 +31,31 @@
  *
  * This class knows how to serialise and deserialise
  * the HE Operation Information Element
- *
- * \see attribute_HeOperation
  */
 class HeOperation : public WifiInformationElement
 {
 public:
   HeOperation ();
+
+  // Implementations of pure virtual methods of WifiInformationElement
+  WifiInformationElementId ElementId () const;
+  WifiInformationElementId ElementIdExt () const;
+  uint8_t GetInformationFieldSize () const;
+  void SerializeInformationField (Buffer::Iterator start) const;
+  uint8_t DeserializeInformationField (Buffer::Iterator start, uint8_t length);
+  /* This information element is a bit special in that it is only
+     included if the STA is a HE STA. To support this we
+     override the Serialize and GetSerializedSize methods of
+     WifiInformationElement. */
+  Buffer::Iterator Serialize (Buffer::Iterator start) const;
+  uint16_t GetSerializedSize () const;
+
   /**
    * Set the HE supported information element.
    *
-   * \param hesupported the HE supported information element
+   * \param heSupported the HE supported information element
    */
-  void SetHeSupported (uint8_t hesupported);
+  void SetHeSupported (uint8_t heSupported);
 
   /**
    * Set the HE Operation Parameters field in the HE Operation information element.
@@ -53,7 +65,7 @@
   void SetHeOperationParameters (uint32_t ctrl);
   /**
    * Set the Basic HE-MCS and NSS field in the HE Operation information element
-   * by specifying the tuple (nss, maxMcs).
+   * by specifying the tuple (<i>nss</i>, <i>maxMcs</i>).
    *
    * \param nss the NSS
    * \param maxHeMcs the maximum supported HE-MCS value corresponding to that NSS
@@ -83,67 +95,18 @@
    */
   uint8_t GetBssColor (void) const;
 
-  /**
-   * Return the element ID.
-   *
-   * \returns the element ID
-   */
-  WifiInformationElementId ElementId () const;
-  /**
-   * Get the wifi information element ID extension
-   * \returns the wifi information element ID extension
-   */
-  WifiInformationElementId ElementIdExt () const;
-  /**
-   * Return the information field size.
-   *
-   * \returns the information field size
-   */
-  uint8_t GetInformationFieldSize () const;
-  /**
-   * Serialize the information field.
-   *
-   * \param start the information field iterator
-   */
-  void SerializeInformationField (Buffer::Iterator start) const;
-  /**
-   * Deserialize the information field.
-   *
-   * \param start the iterator
-   * \param length the length
-   * \returns the information field size
-   */
-  uint8_t DeserializeInformationField (Buffer::Iterator start, uint8_t length);
-  /**
-   * This information element is a bit special in that it is only
-   * included if the STA is a HE STA. To support this we
-   * override the Serialize and GetSerializedSize methods of
-   * WifiInformationElement.
-   *
-   * \param start
-   *
-   * \return an iterator
-   */
-  Buffer::Iterator Serialize (Buffer::Iterator start) const;
-  /**
-   * Return the serialized size of this HE Operations IE.
-   *
-   * \return the serialized size of this HE Operations IE
-   */
-  uint16_t GetSerializedSize () const;
-
 
 private:
   //HE Operation Parameters fields
-  uint8_t m_bssColor; //!< BSS color
-  uint8_t m_defaultPEDuration; //!< default PE duration
-  uint8_t m_twtRequired; //!< TWT required
+  uint8_t m_bssColor;                     //!< BSS color
+  uint8_t m_defaultPEDuration;            //!< default PE duration
+  uint8_t m_twtRequired;                  //!< TWT required
   uint16_t m_heDurationBasedRtsThreshold; //!< HE duration based RTS threshold
-  uint8_t m_partialBssColor; //!< partial BSS color
-  uint8_t m_maxBssidIndicator; //!< max BSSID indicator
-  uint8_t m_txBssidIndicator; //!< TX BSSID indicator
-  uint8_t m_bssColorDisabled; //!< BSS color disabled
-  uint8_t m_dualBeacon; //!< Dual Beacon
+  uint8_t m_partialBssColor;              //!< partial BSS color
+  uint8_t m_maxBssidIndicator;            //!< max BSSID indicator
+  uint8_t m_txBssidIndicator;             //!< TX BSSID indicator
+  uint8_t m_bssColorDisabled;             //!< BSS color disabled
+  uint8_t m_dualBeacon;                   //!< Dual Beacon
 
   //Basic HE-MCS and NSS Set
   uint16_t m_basicHeMcsAndNssSet; ///< basic HE MCS NSS set
@@ -154,6 +117,14 @@
   uint8_t m_heSupported;
 };
 
+/**
+ * output stream output operator
+ *
+ * \param os output stream
+ * \param HeOperation the HE operation
+ *
+ * \returns output stream
+ */
 std::ostream &operator << (std::ostream &os, const HeOperation &HeOperation);
 
 } //namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/wifi/model/ht-capabilities.cc ns-3.31/src/wifi/model/ht-capabilities.cc
--- ns-3.30.1/src/wifi/model/ht-capabilities.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/wifi/model/ht-capabilities.cc	2020-06-27 17:38:30.000000000 -0700
@@ -54,7 +54,7 @@
     m_reservedExtendedCapabilities (0),
     m_mcsFeedback (0),
     m_htcSupport (0),
-    m_reverzeDirectionResponder (0),
+    m_reverseDirectionResponder (0),
     m_reservedExtendedCapabilities2 (0),
     m_implicitRxBfCapable (0),
     m_rxStaggeredSoundingCapable (0),
@@ -99,9 +99,9 @@
 }
 
 void
-HtCapabilities::SetHtSupported (uint8_t htsupported)
+HtCapabilities::SetHtSupported (uint8_t htSupported)
 {
-  m_htSupported = htsupported;
+  m_htSupported = htSupported;
 }
 
 void
@@ -111,9 +111,9 @@
 }
 
 void
-HtCapabilities::SetSupportedChannelWidth (uint8_t supportedchannelwidth)
+HtCapabilities::SetSupportedChannelWidth (uint8_t supportedChannelWidth)
 {
-  m_supportedChannelWidth = supportedchannelwidth;
+  m_supportedChannelWidth = supportedChannelWidth;
 }
 
 void
@@ -123,37 +123,37 @@
 }
 
 void
-HtCapabilities::SetShortGuardInterval20 (uint8_t shortguardinterval)
+HtCapabilities::SetShortGuardInterval20 (uint8_t shortGuardInterval)
 {
-  m_shortGuardInterval20 = shortguardinterval;
+  m_shortGuardInterval20 = shortGuardInterval;
 }
 
 void
-HtCapabilities::SetShortGuardInterval40 (uint8_t shortguardinterval)
+HtCapabilities::SetShortGuardInterval40 (uint8_t shortGuardInterval)
 {
-  m_shortGuardInterval40 = shortguardinterval;
+  m_shortGuardInterval40 = shortGuardInterval;
 }
 
 void
-HtCapabilities::SetMaxAmsduLength (uint16_t maxamsdulength)
+HtCapabilities::SetMaxAmsduLength (uint16_t maxAmsduLength)
 {
-  NS_ABORT_MSG_IF (maxamsdulength != 3839 && maxamsdulength != 7935,
+  NS_ABORT_MSG_IF (maxAmsduLength != 3839 && maxAmsduLength != 7935,
                    "Invalid A-MSDU Max Length value");
-  m_maxAmsduLength = (maxamsdulength == 3839 ? 0 : 1);
+  m_maxAmsduLength = (maxAmsduLength == 3839 ? 0 : 1);
 }
 
 void
-HtCapabilities::SetLSigProtectionSupport (uint8_t lsigprotection)
+HtCapabilities::SetLSigProtectionSupport (uint8_t lSigProtection)
 {
-  m_lsigProtectionSupport = lsigprotection;
+  m_lsigProtectionSupport = lSigProtection;
 }
 
 void
-HtCapabilities::SetMaxAmpduLength (uint32_t maxampdulength)
+HtCapabilities::SetMaxAmpduLength (uint32_t maxAmpduLength)
 {
   for (uint8_t i = 0; i <= 3; i++)
     {
-      if ((1ul << (13 + i)) - 1 == maxampdulength)
+      if ((1ul << (13 + i)) - 1 == maxAmpduLength)
         {
           m_maxAmpduLengthExponent = i;
           return;
@@ -169,33 +169,33 @@
 }
 
 void
-HtCapabilities::SetRxHighestSupportedDataRate (uint16_t maxsupportedrate)
+HtCapabilities::SetRxHighestSupportedDataRate (uint16_t maxSupportedRate)
 {
-  m_rxHighestSupportedDataRate = maxsupportedrate;
+  m_rxHighestSupportedDataRate = maxSupportedRate;
 }
 
 void
-HtCapabilities::SetTxMcsSetDefined (uint8_t txmcssetdefined)
+HtCapabilities::SetTxMcsSetDefined (uint8_t txMcsSetDefined)
 {
-  m_txMcsSetDefined = txmcssetdefined;
+  m_txMcsSetDefined = txMcsSetDefined;
 }
 
 void
-HtCapabilities::SetTxRxMcsSetUnequal (uint8_t txrxmcssetunequal)
+HtCapabilities::SetTxRxMcsSetUnequal (uint8_t txRxMcsSetUnequal)
 {
-  m_txRxMcsSetUnequal = txrxmcssetunequal;
+  m_txRxMcsSetUnequal = txRxMcsSetUnequal;
 }
 
 void
-HtCapabilities::SetTxMaxNSpatialStreams (uint8_t maxtxspatialstreams)
+HtCapabilities::SetTxMaxNSpatialStreams (uint8_t maxTxSpatialStreams)
 {
-  m_txMaxNSpatialStreams = maxtxspatialstreams - 1; //0 for 1 SS, 1 for 2 SSs, etc
+  m_txMaxNSpatialStreams = maxTxSpatialStreams - 1; //0 for 1 SS, 1 for 2 SSs, etc
 }
 
 void
-HtCapabilities::SetTxUnequalModulation (uint8_t txunequalmodulation)
+HtCapabilities::SetTxUnequalModulation (uint8_t txUnequalModulation)
 {
-  m_txUnequalModulation = txunequalmodulation;
+  m_txUnequalModulation = txUnequalModulation;
 }
 
 uint8_t
@@ -267,7 +267,7 @@
 uint8_t
 HtCapabilities::GetInformationFieldSize () const
 {
-  //we should not be here if ht is not supported
+  //we should not be here if HT is not supported
   NS_ASSERT (m_htSupported > 0);
   return 26;
 }
@@ -415,7 +415,7 @@
   val |= (m_reservedExtendedCapabilities & 0x1f) << 3;
   val |= (m_mcsFeedback & 0x03) << 8;
   val |= (m_htcSupport & 0x01) << 10;
-  val |= (m_reverzeDirectionResponder & 0x01) << 11;
+  val |= (m_reverseDirectionResponder & 0x01) << 11;
   val |= (m_reservedExtendedCapabilities2 & 0x0f) << 12;
   return val;
 }
@@ -428,7 +428,7 @@
   m_reservedExtendedCapabilities = (ctrl >> 3) & 0x1f;
   m_mcsFeedback = (ctrl >> 8) & 0x03;
   m_htcSupport = (ctrl >> 10) & 0x01;
-  m_reverzeDirectionResponder = (ctrl >> 11) & 0x01;
+  m_reverseDirectionResponder = (ctrl >> 11) & 0x01;
   m_reservedExtendedCapabilities2 = (ctrl >> 12) & 0x0f;
 }
 
@@ -549,14 +549,6 @@
   return length;
 }
 
-/**
- * output stream output operator
- *
- * \param os output stream
- * \param htcapabilities the HT capabilities
- *
- * \returns output stream
- */
 std::ostream &
 operator << (std::ostream &os, const HtCapabilities &htcapabilities)
 {
